Bug 1269398 - [RFE] In Smart Class Parameter, The array elements should be validated with validator type 'list'.
Summary: [RFE] In Smart Class Parameter, The array elements should be validated with v...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Smart Variables
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1278718
TreeView+ depends on / blocked
 
Reported: 2015-10-07 08:27 UTC by Jitendra Yejare
Modified: 2018-07-17 17:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-17 17:44:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 12081 0 None None None 2016-04-22 16:21:43 UTC

Description Jitendra Yejare 2015-10-07 08:27:01 UTC
Description of problem:
In smart class Parameters, The array elements of key type array should be validated with Validator Type 'list'.
As of now the array key type is not validated with validator type 'list'.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Override the default value of smart class parameter.
2. Select Key type array.
3. Provide the array of elements as new Default Value.
4. Select validator type as list.
5. Validator rule should have each element in array of step 3.

Actual results:


Expected results:
On Submit, the change is successfully accepted as all the elements in array are present in validator rules list.
If at least one element of array is not present in validator rules list, then It should allow to accept this change and should display the as 'element in not one of list'.

Additional info:

Comment 1 Jitendra Yejare 2015-10-07 08:28:41 UTC
Typo above in Expected Results:
On Submit, the change is successfully accepted as all the elements in array are present in validator rules list.
If at least one element of array is not present in validator rules list, then It shouldn't allow to accept this change and should display the as 'element in not one of list'.

Comment 2 Bryan Kearney 2015-10-07 21:01:56 UTC
Created redmine issue http://projects.theforeman.org/issues/12093 from this bug

Comment 3 Bryan Kearney 2015-10-07 22:03:23 UTC
Upstream bug component is Provisioning

Comment 5 Bryan Kearney 2015-12-02 20:03:09 UTC
Connecting redmine issue http://projects.theforeman.org/issues/12081 from this bug

Comment 6 Bryan Kearney 2016-08-10 19:10:02 UTC
Upstream bug component is Configuration Management

Comment 7 Bryan Kearney 2016-08-10 20:11:02 UTC
Upstream bug component is Provisioning

Comment 8 Bryan Kearney 2016-08-10 22:10:49 UTC
Upstream bug component is Configuration Management

Comment 9 Bryan Kearney 2016-08-12 12:48:56 UTC
Upstream bug component is Smart Variables

Comment 10 Bryan Kearney 2018-07-17 17:44:11 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.